#ifndef HUMANUS_MEMORY_MEM0_H
#define HUMANUS_MEMORY_MEM0_H

#include "base.h"

namespace humanus {

struct MemoryConfig {
    // Database config
    std::string history_db_path = ":memory:";
    
    // Embedder config
    struct {
        std::string provider = "llama_cpp";
        EmbedderConfig config;
    } embedder;
    
    // Vector store config
    struct {
        std::string provider = "hnswlib";
        VectorStoreConfig config;
    } vector_store;
    
    // Optional: LLM config
    struct {
        std::string provider = "openai";
        LLMConfig config;
    } llm;
};


}

#endif // HUMANUS_MEMORY_MEM0_H